
ChiliProject - Bug # 888: Cannot edit note

Status: Closed Priority: Normal
Author: Tom Rochette Category: Issue tracking
Created: 2012-02-15 Assignee:
Updated: 2012-04-05 Due date:
Remote issue URL:
Affected version: 3.0.0
Description: I'm trying to edit a note I left on an issue by clicking on the little pencil (link is 

https://www.chiliproject.org/journals/edit/14451) but it returns me a 403 like I don't have the permission to do 
so (which is possible).

If I'm not allowed to edit the note, I shouldn't see the pencil icon to the right of the note.

Associated revisions
2012-03-05 06:13 pm - Felix SchaÌˆfer 
Fix edit issue notes permission #888

History
2012-03-01 01:15 am - Felix Schäfer
Everyone should be able to edit his own notes, so you shouldn't be getting a 403. Can you confirm this is still an issue and if so point me to the issue 
the journal is part of (the link you posted seems to be ajax only) and maybe note the time when you tried to call the link so I can see if the logs have a 
say in this? Thanks!

2012-03-01 02:15 am - Tom Rochette
https://www.chiliproject.org/issues/869 contains a request to https://www.chiliproject.org/journals/edit/14350 when I click on 
https://www.chiliproject.org/issues/869# (the little pencil).

I've done the request a couple of times at 21:17.

Still no success (not working on any comments I've left on other issues as well).

2012-03-02 12:01 am - Felix Schäfer
Heh, I hadn't thought about timezones and searched at the wrong place for a few seconds ^_^

Anyway, I found the place your requests came in, there's nothing of interest in the logs other than that you hit 403s though. I could open the edit pane 
there OK though, so it's note an issue with the functionality but the authorization taking place before it.

2012-03-02 12:16 am - Felix Schäfer
OK, the crux of the issue is the call to @editable_by? user@ on the journal in the permission check in @JournalsController#edit@ 
source:/app/controllers/journals_controller.rb#L67, because it's not aware of the @:edit_own_issue_note@ permission, which is the only one applicable 
to you here.

2012-03-02 12:41 am - Felix Schäfer
- Target version set to 3.1.0

- Status changed from Open to Ready for review

Proposed fix in "on github":https://github.com/chiliproject/chiliproject/pull/160.

2012-03-05 05:17 pm - Felix Schäfer
- Status changed from Ready for review to Closed
Fix committed in commit:2c76240, thanks for reporting.

2012-04-05 10:45 pm - Tom Rochette
Confirmed to work properly on chiliproject.org since the update to 3.1.0. I can edit my notes.

Thanks!
